import sys
from base.GatewaySender import *
from protocol.send.SendResponse import *
from base.Logger import *

"""
    $Id: sender.py,v 1.1.1.1 2003/04/10 14:38:56 maro Exp $

    Sample script demonstrating how to send an SMS
    
    @author maro
"""

def main(args):
    if ( len(args) != 3 ):
        Usage()
        sys.exit()

    l = Logger()
    s = GatewaySender()
    response = s.sendSimpleSMS(args[1], args[2])
    if ( response ):
        l.logInfo("Message has been sent to gateway")
        l.logInfo("Response-status ........: %s" % response.getStatus())
        l.logInfo("Response-type ..........: %s" % response.getResponseType())
        if ( response.getStatus() == response.STATUS_SUCCESS ):
            l.logInfo("Message-id .............: %s" % response.getMessageId())
        else:
            l.logInfo("!!! Error-code: %s" % response.getErrorCode())
            l.logInfo("!!! Error-msg: %s" % response.getErrorMessage())

def Usage():
    print "\nUsage:\n\tpython sender.py mobilenumber message\n\tExample: python sender.py +4670123456 \"hello there!\"\n"

main(sys.argv)

