<?php

    //
    // Copyright (c) 2002-2003 Zyneo HB. (http://www.zyneo.com)
    // See LICENSE distributed with this package for more information.
    //

    include_once (_DOCROOT . "/base/Base.php");

    /**
     * $Id: Notification.php,v 1.1.1.1 2003/03/27 10:27:42 maro Exp $
     *
     * This class represents a Notification concerning an SMS message.
     *
     * Use getter methods to retrieve information about the Notification.
     * @package adapter.protocol
     * @author Magnus Rosenquist, Zyneo
     */    
    class Notification
        extends Base
    {
        var $__msgId;
        var $__type;
        var $__date;
        var $__type_text = array ( 0 => "SENT",
                                   1 => "DELIVERED",
                                   2 => "SAVED",
                                   3 => "ERASED",
                                   4 => "ERROR");
        
        function Notification()
        {
            $this->registerClass(get_class($this));
        }

        /**
         * Sets the message id for this Notification.
         * @param string $id
         */        
        function setMessageId($id)           { $this->__msgId = $id; }
        /**
         * Sets the notification type for this Notification.
         * @param string $type
         */
        function setNotificationType($type)  { $this->__type = $type; }
        /**
         * Sets the provider date for this Notification. This is the date
         * this notification was received from the Provider.
         * @param string $date
         */
        function setProviderDate($date)      { $this->__date = $date; }
        
        // Getters
        
        /**
         * Returns the Notification type
         * @return string the notification type
         */
        function getNotificationType()       { return $this->__type; }
        /**
         * Returns the Notification type in clear-text
         * @return string the notification type
         */
        function getNotificationTypeText($type="")   
        { 
            if ( $type == "" )
                return $this->__type_text[$this->__type]; 
            else
                return $this->__type_text[$type]; 
        }
        
        /**
         * Returns the message-id for this notification.
         * @return string the message-id
         */
        function getMessageId()              { return $this->__msgId; }
        /**
         * Returns the date this provider received the notification.
         * @return string a string representing the date
         */
        function getProviderDate()           { return $this->__date; }
        
    }
?>
